commit: 4ae7bfbc61a3dad05b16885b60e3465fa4bed8e2
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 5 18:54:46 2018 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Thu Jul 5 19:00:23 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ae7bfbc
dev-python/semantic_version: add PyPy3, doc fix hanging test
Package-Manager: Portage-2.3.41, Repoman-2.3.9
.../semantic_version-2.6.0-r2.ebuild | 38 ++++++++++++++++++++++
1 file changed, 38 insertions(+)
diff --git a/dev-python/semantic_version/semantic_version-2.6.0-r2.ebuild
b/dev-python/semantic_version/semantic_version-2.6.0-r2.ebuild
new file mode 100644
index 00000000000..c8ebba6b2e3
--- /dev/null
+++ b/dev-python/semantic_version/semantic_version-2.6.0-r2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library providing a few tools handling SemVer in Python"
+HOMEPAGE="https://pypi.org/project/semantic_version/"
+SRC_URI="https://github.com/rbarrois/python-semanticversion/archive/v${PV}.tar.gz
-> ${P}-1.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+S="${WORKDIR}/python-${P/_/}"
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ # The django test hangs
+ py.test --ignore tests/test_django.py\
+ || die "tests failed with ${EPYTHON}"
+}